---
updatedAt: 2025-10-08T19:19:18.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Clip & Draft Clip

Use these to perform the following tasks:

<br />

## Draft Clips

Retrieve and manage drafts of video clips.

| Endpoint                                                                    | Description                                    |
| --------------------------------------------------------------------------- | ---------------------------------------------- |
| [Create Draft Clip](#CreateDraftClip) POST /clipping\_draft                 | Creates a draft of a video clip.               |
| [Delete Draft Clip](#DeleteDraftClip) DELETE /clipping\_draft/Draft Clip ID | Deletes a draft of a video clip.               |
| [Get All Draft Clips](#GetAllDraftClips) GET /clipping\_draft               | Retrieves a list of all drafts of video clips. |
| [Get Draft Clip](#GetDraftClip) GET /clipping\_draft/Draft Clip ID          | Retrieves a specific draft of a video clip.    |

<br />

## Video Clips

Retrieve video clip information.

| Endpoint                                                                                                    | Description                                                                                                                                                           |
| ----------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Get Multiple Clips](#GetMultipleClips) GET /clip/draft\_info GET /clip/draft\_info?draft\_id=Draft Clip ID | Retrieves up to 1,000 of the latest video clips generated from draft clips.  You may filter the response to only include the clip created from a specific draft clip. |
| [Get Clip](#GetClip) GET /clip/draft\_info/Clip ID                                                          | Retrieves a specific video clip.                                                                                                                                      |

<br />

## Base URL

Use the following base URL:

```
<https://services.uplynk.com/api/v4>
```